> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deduction

> Retrieve a specific deduction attached to an employee check.



## OpenAPI

````yaml openapi/employee-checks.json get /deductions
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /deductions:
    get:
      summary: Get Deduction
      description: Get a specific deduction.
      operationId: retrieve-deduction
      parameters:
        - name: deductionID
          in: query
          description: ID of Deduction to be retrieved
          required: true
          schema:
            type: string
        - name: companyID
          in: query
          description: CompanyID of the employer
          required: true
          schema:
            type: string
          example: fc235f012bae46aa8a082f347715bcfa
        - name: employeeCheckID
          in: query
          description: ID of the employee check
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    testMode: true
                    data:
                      companyID: fc235f012bae46aa8a082f347715bcfa
                      deductionID: 61d32bb356fdba0023fafa57
                      employeeCheckID: 7f0da5e428324c049ae6a6bac2e62f88
                      deduction_type: 401k
                      deduction_template_name: My 401K
                      deductionTemplateID: 61cadff23e6f8201c34c77c6
                      employer_contribution:
                        value: 7
                        contribution_type: dollars
                        matching: false
                      employee_contribution:
                        value: 5
                        contribution_type: percentage
                      additional_fields: {}
                      createdAt: '2022-01-03T18:22:43.000Z'
                      updatedAt: '2022-01-03T18:22:43.000Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  testMode:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      companyID:
                        type: string
                        example: fc235f012bae46aa8a082f347715bcfa
                      deductionID:
                        type: string
                        example: 61d32bb356fdba0023fafa57
                      employeeCheckID:
                        type: string
                        example: 7f0da5e428324c049ae6a6bac2e62f88
                      deduction_type:
                        type: string
                        example: 401k
                      deduction_template_name:
                        type: string
                        example: My 401K
                      deductionTemplateID:
                        type: string
                        example: 61cadff23e6f8201c34c77c6
                      employer_contribution:
                        type: object
                        properties:
                          value:
                            type: number
                            example: 7
                            default: 0
                          contribution_type:
                            type: string
                            enum:
                              - dollars
                              - percentage
                              - cents
                            example: dollars
                          matching:
                            type: boolean
                            example: false
                            default: true
                      employee_contribution:
                        type: object
                        properties:
                          value:
                            type: number
                            example: 5
                            default: 0
                          contribution_type:
                            type: string
                            enum:
                              - dollars
                              - percentage
                              - cents
                            example: percentage
                      additional_fields:
                        type: object
                        properties:
                          hsa_type:
                            type: string
                          agency:
                            type: object
                            properties:
                              name:
                                type: string
                              address:
                                type: string
                          case_id:
                            type: object
                            properties:
                              value:
                                type: string
                          order_number:
                            type: object
                            properties:
                              value:
                                type: string
                      createdAt:
                        type: string
                        format: date-time
                        example: '2022-01-03T18:22:43.000Z'
                      updatedAt:
                        type: string
                        format: date-time
                        example: '2022-01-03T18:22:43.000Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Deduction not found:
                  value:
                    success: false
                    errors:
                      - message: No deduction with this deductionID exists.
                        code: 17
                Employee check not found:
                  value:
                    success: false
                    errors:
                      - message: Employee Check with this check ID does not exist
                        code: 43
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: No deduction with this deductionID exists.
                        code:
                          type: integer
                          example: 17
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.